import { View, Image, Text } from "@tarojs/components"
import ABCImg from '@/assets/bank/ABCbank.png'
import BOCImg from '@/assets/bank/BOCbank.png'
import CCBImg from '@/assets/bank/CCBbank.png'
import './style.less'

export default (props) => {
  const { type, value, onChange } = props
  return (
    <View className='bankCard' >
      <Image src={
        type === '中国农业银行' ? ABCImg :
          type === '中国银行' ? BOCImg :
            type === '中国建设银行' ? CCBImg : ''
      } className='CardImg'
      />
      <View className='unBind' onClick={onChange}>解除绑定</View>
      <View className='cardType'>储蓄卡</View>
      <View className='cCode'>
        <Text className='codeText'>****</Text>
        <Text className='codeText'>****</Text>
        <Text className='codeText'>****</Text>
        <Text className='codeText'>{value.substr(15, 4)}</Text>
      </View>
    </View>
  )
}
